#include    <xc.h>
#include    "command.h"

//使用デバイスの指定
void    device_set(void)
{
    send_data(0x7E);       //スタート
    send_data(0xFF);       //バージョン情報
    send_data(0x06);       //データの長さ、
       
                           //スタート、エンド、チェックサムを除く
    send_data(0x09);       //コマンド（今回は使用デバイス指定）
    send_data(0x00);       //フィードバック有り無し、
                           //00:フィードバックあり・01：なし       
    send_data(0x00);       //パラメータ１
    send_data(0x02);       //パラメータ２　（02:SDカード）
    send_data(0xEF);       //終了コード

}

//音量調整
void com_Volume(unsigned char vol)
{
    send_data(0x7E);
    send_data(0xFF);
    send_data(0x06);
       
    send_data(0x06);        //コマンド（音量調整）
    send_data(0x00);        //フィードバック有り無し、
                            //00:フィードバック無し・01：有り
    send_data(0x00);        //パラメータ１
    send_data(vol);         //パラメータ２  (音量：0?１E）    
    send_data(0xEF);        //終了コード       
}

//  次のトラックを再生する。
void com_fwdplay(void)
{ 
    send_data(0x7E);
    send_data(0xFF);
    send_data(0x06);
    send_data(0x01);         //コマンド（次のトラックを再生する）
    send_data(0x00);         //フィードバック有り無し、
                             //00:フィードバック無し・01：有り
    send_data(0x00);         //パラメータ１
    send_data(0x00);         //パラメータ２       
    send_data(0xEF);         //終了コード
}
// 前のトラックを再生する。
void    com_rewplay(void)
{
    send_data(0x7E);
    send_data(0xFF);
    send_data(0x06);
    send_data(0x02);         //コマンド（前のトラックを再生する）
    send_data(0x00);         //フィードバック有り無し、
                             //00:フィードバック無し・01：有り
    send_data(0x00);         //パラメータ１
    send_data(0x00);         //パラメータ２       
    send_data(0xEF);         //終了コード    
}

//指定のトラックを再生する。
void    com_playtrk(unsigned char trk)
{
    send_data(0x7E);
    send_data(0xFF);
    send_data(0x06);
    send_data(0x03);         //コマンド（前のトラックを再生する）
    send_data(0x00);         //フィードバック有り無し、
                             //00:フィードバック無し・01：有り
    send_data(0x00);         //パラメータ１
    send_data(trk);         //パラメータ２       
    send_data(0xEF);         //終了コード    
}

//１バイト送信
void send_data(unsigned char txt_data)
{
		TXREG=txt_data;
		while(!TXIF)continue;
		TXIF=0;
    
}